Skip to main content
GET
/
api
/
v1
/
wallet
/
imported
List imported wallets
curl --request GET \
  --url https://api.hevn.finance/api/v1/wallet/imported \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "address": "<string>",
    "chains": [
      123
    ],
    "trackTransactions": true,
    "viewOnly": true,
    "usdBalance": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "daoMembers": [
      "<string>"
    ],
    "memo": "<string>"
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

id
string<uuid>
required
address
string
required
chains
integer[]
required
trackTransactions
boolean
required
viewOnly
boolean
required
usdBalance
number
required
createdAt
string<date-time>
required
daoMembers
string[] | null
memo
string | null